> For a complete page index, fetch https://developer.close.com/llms.txt

# List users in your organization

GET https://api.close.com/api/v1/user/

List all users who are members of your organization.

Reference: https://developer.close.com/api/resources/users/list

## Authentication

- `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty.
- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `_order_by` (enum, optional)
  - Allowed values: `last_name,first_name`, `first_name,last_name`
- `_limit` (integer, optional, default: 100) — Number of results to return.
- `_skip` (integer, optional, default: 0) — Number of results to skip before returning, for pagination.

## Response

### 200

Successful response

## Errors

### 400 Bad Request Error

Bad request

- `any`

### 401 Unauthorized Error

Unauthorized

- `any`

### 404 Not Found Error

Not found

- `any`

## Examples

**Response**

```json
{
  "data": [
    {
      "date_created": "2012-08-29T00:33:22.720000+00:00",
      "date_updated": "2013-05-08T01:57:15.204000+00:00",
      "email": "stefan@close.com",
      "first_name": "Stefan",
      "id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "image": "https://secure.gravatar.com/avatar/a4bec4594864f1896c4750328b1d7470",
      "last_name": "Wojcik",
      "organizations": [
        "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH"
      ]
    },
    {
      "date_created": "2012-08-10T00:00:11.000000+00:00",
      "date_updated": "2013-05-08T02:00:13.000000+00:00",
      "email": "kevin@close.com",
      "first_name": "Kevin",
      "id": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk",
      "image": "https://secure.gravatar.com/avatar/37b6e80dc105b9a8d0d16ef51b5d68c7",
      "last_name": "Ramani",
      "organizations": [
        "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH"
      ]
    }
  ],
  "has_more": true
}
```

**SDK Code**

```python users_list_example
import requests

url = "https://api.close.com/api/v1/user/"

response = requests.get(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript users_list_example
const url = 'https://api.close.com/api/v1/user/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go users_list_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/user/"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby users_list_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/user/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java users_list_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.close.com/api/v1/user/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php users_list_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.close.com/api/v1/user/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp users_list_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/user/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```